#include <bits/stdc++.h>
using namespace std;

int main(){

    int n,l;
    cin >> n >> l;
    for(int i=0;i<n; i++){
        int a; cin >> a;
        if (a<=l){
            cout << i+1;
            return 0;
        }
    }
    cout<<-1;
return 0;}